<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProdutosTable extends Migration
{
    public function up()
    {
        Schema::create('produtos', function (Blueprint $table) {
            $table->uuid('id')->unique();
            $table->string('nome', 60);

            $table->uuid('categoria_id');
            $table->foreign('categoria_id')->references('id')->on('categorias');

            $table->integer('quantidade');

            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('produtos');
    }
}
